Open CASCADE Technology: RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve Class Reference

Read & Write Module for BSplineCurveWithKnotsAndRationalBSplineCurve Check added by CKY , 7-OCT-1996. More...

`#include <RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve.hxx>`

## Public Member Functions
| RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve ()
void | ReadStep (const Handle< StepData_StepReaderData > &data, const Standard_Integer num, Handle< Interface_Check > &ach, const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > &ent) const
void | WriteStep (StepData_StepWriter &SW, const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > &ent) const
void | Share (const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > &ent, Interface_EntityIterator &iter) const
void | Check (const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > &ent, const Interface_ShareTool &shares, Handle< Interface_Check > &ach) const

## Detailed Description

Read & Write Module for BSplineCurveWithKnotsAndRationalBSplineCurve Check added by CKY , 7-OCT-1996.

## Constructor & Destructor Documentation

RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve | ( |  | ) |

## Member Function Documentation

void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::Check | ( | const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > & | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle< Interface_Check > & | ach
| ) |  | const

void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::ReadStep | ( | const Handle< StepData_StepReaderData > & | data,
|  | const Standard_Integer | num,
|  | Handle< Interface_Check > & | ach,
|  | const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > & | ent
| ) |  | const

void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::Share | ( | const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

void RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle< StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve > & | ent
| ) |  | const

The documentation for this class was generated from the following file:

- RWStepGeom_RWBSplineCurveWithKnotsAndRationalBSplineCurve.hxx